Contents
\<bookmark_value\>RmDir statement\</bookmark_value\>

# RmDir Statement

Deletes an existing directory from a data medium.

### Syntax:

    RmDir Text As String

### Parameters:

Text: Any string expression that specifies the name and path of the directory that you want to delete. You can also use URL notation.

If the path is not determined, the \<emph\>RmDir Statement\</emph\> searches for the directory that you want to delete in the current path. If it is not found there, an error message appears.

### Error codes:

5 Invalid procedure call

D'oh! You found a bug (text/sbasic/shared/00000003.xhp#err76 not found).

### Example:

    Sub ExampleRmDir
        MkDir "C:\Test2"
        ChDir "C:\test2"
        MsgBox Curdir
        ChDir "\"
        RmDir "C:\test2"
    End Sub

נושאים קשורים

Option Compatible Statement

CompatibilityMode() Function